Update a pricing plan group by its ID
Requires the PRICING_PLAN_GROUP.UPDATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
resourceIdOrReference
The ID or reference of the resource.
Headers
x-platform-id
Platform ID.
Request
This endpoint expects an object.
reference
Unique reference for this pricing plan group
name
Optional name for this pricing plan group
status
The status of the pricing plan group. Customers can only upgrade/downgrade between member plans while the group is ACTIVE.
upgrade_type
How an upgrade between member plans of this group is handled
downgrade_type
How a downgrade between member plans of this group is handled
cancellation_type
How the cancellation of a member plan of this group is handled
pricing_plans
The ordered set of pricing plans that are members of this group
Response
OK
object_type
id
reference
Unique reference for this pricing plan group
name
Optional name for this pricing plan group
status
The status of the pricing plan group. Customers can only upgrade/downgrade between member plans while the group is ACTIVE.
upgrade_type
How an upgrade between member plans of this group is handled
downgrade_type
How a downgrade between member plans of this group is handled
cancellation_type
How the cancellation of a member plan of this group is handled
pricing_plans
The ordered set of pricing plans that are members of this group
created_at
updated_at
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error